coreEngine.Helper

## Class SeedDefaultsHelper

- java.lang.Object
- - coreEngine.Helper.SeedDefaultsHelper

-     public class SeedDefaultsHelper
      extends java.lang.Object

  Author:
    ltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `AGENCY_LIST`
    `static java.lang.String` | `ID_AADT_DIRECTIONAL_FACTOR`
    `static java.lang.String` | `ID_AADT_PROFILE_ID_MAINLINE`
    `static java.lang.String` | `ID_AADT_PROFILE_MAINLINE`
    `static java.lang.String` | `ID_AADT_VALUE_MAINLINE`
    `static java.lang.String` | `ID_ACCEL_LENGTH`
    `static java.lang.String` | `ID_AGENCY_NAME`
    `static java.lang.String` | `ID_ANALYST_NAME`
    `static java.lang.String` | `ID_DECCEL_LENGTH`
    `static java.lang.String` | `ID_DEFAULTS_ID`
    `static java.lang.String` | `ID_DPCAF_RURAL`
    `static java.lang.String` | `ID_DPCAF_URBAN`
    `static java.lang.String` | `ID_DPSAF_RURAL`
    `static java.lang.String` | `ID_DPSAF_URBAN`
    `static java.lang.String` | `ID_FDOT`
    `static java.lang.String` | `ID_HCM`
    `static java.lang.String` | `ID_JAM_DENSITY`
    `static java.lang.String` | `ID_KAI`
    `static java.lang.String` | `ID_MAINLINE_FFS`
    `static java.lang.String` | `ID_MILE_MARKER_END`
    `static java.lang.String` | `ID_MILE_MARKER_START`
    `static java.lang.String` | `ID_ML_3LN_DIVERGE`
    `static java.lang.String` | `ID_ML_3LN_MERGE`
    `static java.lang.String` | `ID_ML_3LN_WEAVE`
    `static java.lang.String` | `ID_ML_DIVERGE`
    `static java.lang.String` | `ID_ML_MERGE`
    `static java.lang.String` | `ID_ML_WEAVE`
    `static java.lang.String` | `ID_NCDOT`
    `static java.lang.String` | `ID_ODOT`
    `static java.lang.String` | `ID_PROJECT_ID`
    `static java.lang.String` | `ID_PROJECT_ROUTE`
    `static java.lang.String` | `ID_QUEUE_DISCHARGE`
    `static java.lang.String` | `ID_RAMP_FFS`
    `static java.lang.String` | `ID_REFERENCE_DEMAND_DATE`
    `static java.lang.String` | `ID_RURAL_3LN_DIVERGE`
    `static java.lang.String` | `ID_RURAL_3LN_MERGE`
    `static java.lang.String` | `ID_RURAL_3LN_WEAVE`
    `static java.lang.String` | `ID_RURAL_DIVERGE`
    `static java.lang.String` | `ID_RURAL_MERGE`
    `static java.lang.String` | `ID_RURAL_WEAVE`
    `static java.lang.String` | `ID_SCENARIO_NAME`
    `static java.lang.String` | `ID_TRUCK_PCE_RURAL`
    `static java.lang.String` | `ID_TRUCK_PCE_URBAN`
    `static java.lang.String` | `ID_TRUCK_SUT_PCT_RURAL`
    `static java.lang.String` | `ID_TRUCK_SUT_PCT_URBAN_LARGE`
    `static java.lang.String` | `ID_TRUCK_SUT_PCT_URBAN_MED`
    `static java.lang.String` | `ID_TRUCK_SUT_PCT_URBAN_SMALL`
    `static java.lang.String` | `ID_TRUCK_TT_PCT_RURAL`
    `static java.lang.String` | `ID_TRUCK_TT_PCT_URBAN_LARGE`
    `static java.lang.String` | `ID_TRUCK_TT_PCT_URBAN_MED`
    `static java.lang.String` | `ID_TRUCK_TT_PCT_URBAN_SMALL`
    `static java.lang.String` | `ID_URBAN_3LN_DIVERGE`
    `static java.lang.String` | `ID_URBAN_3LN_MERGE`
    `static java.lang.String` | `ID_URBAN_3LN_WEAVE`
    `static java.lang.String` | `ID_URBAN_DIVERGE`
    `static java.lang.String` | `ID_URBAN_MERGE`
    `static java.lang.String` | `ID_URBAN_WEAVE`
    `static int` | `IDEAL_CAP` HCM Ideal Capacity (pc/hr/ln)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeedDefaultsHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `computeAndAssignAllRampToRampDemand(Seed seed)`
    `static void` | `computeAndAssignRampToRampDemand(Seed seed, int seg)`
    `static java.util.HashMap<java.lang.String,java.lang.Integer>` | `createDefaultCapacityMap(java.lang.String defaultType)`
    `static java.util.HashMap<java.lang.String,java.lang.Object>` | `createGlobalDefaults(java.lang.String defaultType)`
    `static int[]` | `getRatioRampToRampDemand(Seed seed, int seg)`
    `static void` | `launchDefaultsDialog()`
    `static void` | `processDemands()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_HCM

          public static final java.lang.String ID_HCM

      See Also:
        Constant Field Values

    - #### ID_ODOT

          public static final java.lang.String ID_ODOT

      See Also:
        Constant Field Values

    - #### ID_FDOT

          public static final java.lang.String ID_FDOT

      See Also:
        Constant Field Values

    - #### ID_NCDOT

          public static final java.lang.String ID_NCDOT

      See Also:
        Constant Field Values

    - #### ID_KAI

          public static final java.lang.String ID_KAI

      See Also:
        Constant Field Values

    - #### AGENCY_LIST

          public static final java.lang.String[] AGENCY_LIST

    - #### ID_URBAN_3LN_MERGE

          public static final java.lang.String ID_URBAN_3LN_MERGE

      See Also:
        Constant Field Values

    - #### ID_URBAN_MERGE

          public static final java.lang.String ID_URBAN_MERGE

      See Also:
        Constant Field Values

    - #### ID_URBAN_3LN_DIVERGE

          public static final java.lang.String ID_URBAN_3LN_DIVERGE

      See Also:
        Constant Field Values

    - #### ID_URBAN_DIVERGE

          public static final java.lang.String ID_URBAN_DIVERGE

      See Also:
        Constant Field Values

    - #### ID_URBAN_3LN_WEAVE

          public static final java.lang.String ID_URBAN_3LN_WEAVE

      See Also:
        Constant Field Values

    - #### ID_URBAN_WEAVE

          public static final java.lang.String ID_URBAN_WEAVE

      See Also:
        Constant Field Values

    - #### ID_RURAL_3LN_MERGE

          public static final java.lang.String ID_RURAL_3LN_MERGE

      See Also:
        Constant Field Values

    - #### ID_RURAL_MERGE

          public static final java.lang.String ID_RURAL_MERGE

      See Also:
        Constant Field Values

    - #### ID_RURAL_3LN_DIVERGE

          public static final java.lang.String ID_RURAL_3LN_DIVERGE

      See Also:
        Constant Field Values

    - #### ID_RURAL_DIVERGE

          public static final java.lang.String ID_RURAL_DIVERGE

      See Also:
        Constant Field Values

    - #### ID_RURAL_3LN_WEAVE

          public static final java.lang.String ID_RURAL_3LN_WEAVE

      See Also:
        Constant Field Values

    - #### ID_RURAL_WEAVE

          public static final java.lang.String ID_RURAL_WEAVE

      See Also:
        Constant Field Values

    - #### ID_ML_3LN_MERGE

          public static final java.lang.String ID_ML_3LN_MERGE

      See Also:
        Constant Field Values

    - #### ID_ML_MERGE

          public static final java.lang.String ID_ML_MERGE

      See Also:
        Constant Field Values

    - #### ID_ML_3LN_DIVERGE

          public static final java.lang.String ID_ML_3LN_DIVERGE

      See Also:
        Constant Field Values

    - #### ID_ML_DIVERGE

          public static final java.lang.String ID_ML_DIVERGE

      See Also:
        Constant Field Values

    - #### ID_ML_3LN_WEAVE

          public static final java.lang.String ID_ML_3LN_WEAVE

      See Also:
        Constant Field Values

    - #### ID_ML_WEAVE

          public static final java.lang.String ID_ML_WEAVE

      See Also:
        Constant Field Values

    - #### IDEAL_CAP

          public static final int IDEAL_CAP

      HCM Ideal Capacity (pc/hr/ln)
      See Also:
        Constant Field Values

    - #### ID_TRUCK_PCE_URBAN

          public static final java.lang.String ID_TRUCK_PCE_URBAN

      See Also:
        Constant Field Values

    - #### ID_TRUCK_PCE_RURAL

          public static final java.lang.String ID_TRUCK_PCE_RURAL

      See Also:
        Constant Field Values

    - #### ID_TRUCK_SUT_PCT_RURAL

          public static final java.lang.String ID_TRUCK_SUT_PCT_RURAL

      See Also:
        Constant Field Values

    - #### ID_TRUCK_TT_PCT_RURAL

          public static final java.lang.String ID_TRUCK_TT_PCT_RURAL

      See Also:
        Constant Field Values

    - #### ID_TRUCK_SUT_PCT_URBAN_SMALL

          public static final java.lang.String ID_TRUCK_SUT_PCT_URBAN_SMALL

      See Also:
        Constant Field Values

    - #### ID_TRUCK_TT_PCT_URBAN_SMALL

          public static final java.lang.String ID_TRUCK_TT_PCT_URBAN_SMALL

      See Also:
        Constant Field Values

    - #### ID_TRUCK_SUT_PCT_URBAN_MED

          public static final java.lang.String ID_TRUCK_SUT_PCT_URBAN_MED

      See Also:
        Constant Field Values

    - #### ID_TRUCK_TT_PCT_URBAN_MED

          public static final java.lang.String ID_TRUCK_TT_PCT_URBAN_MED

      See Also:
        Constant Field Values

    - #### ID_TRUCK_SUT_PCT_URBAN_LARGE

          public static final java.lang.String ID_TRUCK_SUT_PCT_URBAN_LARGE

      See Also:
        Constant Field Values

    - #### ID_TRUCK_TT_PCT_URBAN_LARGE

          public static final java.lang.String ID_TRUCK_TT_PCT_URBAN_LARGE

      See Also:
        Constant Field Values

    - #### ID_DPCAF_URBAN

          public static final java.lang.String ID_DPCAF_URBAN

      See Also:
        Constant Field Values

    - #### ID_DPSAF_URBAN

          public static final java.lang.String ID_DPSAF_URBAN

      See Also:
        Constant Field Values

    - #### ID_DPCAF_RURAL

          public static final java.lang.String ID_DPCAF_RURAL

      See Also:
        Constant Field Values

    - #### ID_DPSAF_RURAL

          public static final java.lang.String ID_DPSAF_RURAL

      See Also:
        Constant Field Values

    - #### ID_ACCEL_LENGTH

          public static final java.lang.String ID_ACCEL_LENGTH

      See Also:
        Constant Field Values

    - #### ID_DECCEL_LENGTH

          public static final java.lang.String ID_DECCEL_LENGTH

      See Also:
        Constant Field Values

    - #### ID_MAINLINE_FFS

          public static final java.lang.String ID_MAINLINE_FFS

      See Also:
        Constant Field Values

    - #### ID_RAMP_FFS

          public static final java.lang.String ID_RAMP_FFS

      See Also:
        Constant Field Values

    - #### ID_JAM_DENSITY

          public static final java.lang.String ID_JAM_DENSITY

      See Also:
        Constant Field Values

    - #### ID_QUEUE_DISCHARGE

          public static final java.lang.String ID_QUEUE_DISCHARGE

      See Also:
        Constant Field Values

    - #### ID_DEFAULTS_ID

          public static final java.lang.String ID_DEFAULTS_ID

      See Also:
        Constant Field Values

    - #### ID_ANALYST_NAME

          public static final java.lang.String ID_ANALYST_NAME

      See Also:
        Constant Field Values

    - #### ID_AGENCY_NAME

          public static final java.lang.String ID_AGENCY_NAME

      See Also:
        Constant Field Values

    - #### ID_SCENARIO_NAME

          public static final java.lang.String ID_SCENARIO_NAME

      See Also:
        Constant Field Values

    - #### ID_PROJECT_ID

          public static final java.lang.String ID_PROJECT_ID

      See Also:
        Constant Field Values

    - #### ID_PROJECT_ROUTE

          public static final java.lang.String ID_PROJECT_ROUTE

      See Also:
        Constant Field Values

    - #### ID_REFERENCE_DEMAND_DATE

          public static final java.lang.String ID_REFERENCE_DEMAND_DATE

      See Also:
        Constant Field Values

    - #### ID_MILE_MARKER_START

          public static final java.lang.String ID_MILE_MARKER_START

      See Also:
        Constant Field Values

    - #### ID_MILE_MARKER_END

          public static final java.lang.String ID_MILE_MARKER_END

      See Also:
        Constant Field Values

    - #### ID_AADT_PROFILE_ID_MAINLINE

          public static final java.lang.String ID_AADT_PROFILE_ID_MAINLINE

      See Also:
        Constant Field Values

    - #### ID_AADT_PROFILE_MAINLINE

          public static final java.lang.String ID_AADT_PROFILE_MAINLINE

      See Also:
        Constant Field Values

    - #### ID_AADT_VALUE_MAINLINE

          public static final java.lang.String ID_AADT_VALUE_MAINLINE

      See Also:
        Constant Field Values

    - #### ID_AADT_DIRECTIONAL_FACTOR

          public static final java.lang.String ID_AADT_DIRECTIONAL_FACTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SeedDefaultsHelper

          public SeedDefaultsHelper()

  - ### Method Detail

    - #### createDefaultCapacityMap

          public static java.util.HashMap<java.lang.String,java.lang.Integer> createDefaultCapacityMap(java.lang.String defaultType)

    - #### computeAndAssignAllRampToRampDemand

          public static void computeAndAssignAllRampToRampDemand(Seed seed)

    - #### computeAndAssignRampToRampDemand

          public static void computeAndAssignRampToRampDemand(Seed seed,
                                                              int seg)

    - #### getRatioRampToRampDemand

          public static int[] getRatioRampToRampDemand(Seed seed,
                                                       int seg)

    - #### launchDefaultsDialog

          public static void launchDefaultsDialog()

    - #### createGlobalDefaults

          public static java.util.HashMap<java.lang.String,java.lang.Object> createGlobalDefaults(java.lang.String defaultType)

    - #### processDemands

          public static void processDemands()